# net.schmizz.sshj.connection.channel (sshj 0.4.0 API)
Date: 2011-06-06

## Package net.schmizz.sshj.connection.channel

Interface Summary
Channel: A channel is the basic medium for application-layer data on top of an SSH transport.
Channel.Direct: Direct channels are those that are initiated by us.
Channel.Forwarded: Forwarded channels are those that are initiated by the server.

Class Summary
AbstractChannel
ChannelInputStream: `InputStream` for channels.
ChannelOutputStream: `OutputStream` for channels.
SocketStreamCopyMonitor
Window
Window.Local: Controls how much data remote end can send before an adjustment notification from us is required.
Window.Remote: Controls how much data we can send before an adjustment notification from remote end is required.

Enum Summary
OpenFailException.Reason

Exception Summary
OpenFailException

Copyright © 2009-2011. All Rights Reserved.